build fails

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

build fails

Carlos Cruz

Hi

 

I’m trying to build apache-royale-0.9.0-bin  and I get this message:

BUILD FAILED

c:\apache-royale-0.9.0-bin\build.xml:547: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:117: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:277: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\build.xml:61: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\src\test\royale\build.xml:113: FLEX_HOME must be set to use the Flex Ant Tasks

 

is this an environment variable I should be setting, I looked in the Readme file I couldn’t see anything relating to Flex_home ?

 

thx!

Carlos  

Reply | Threaded
Open this post in threaded view
|

Re: build fails

Alex Harui-2
Hi Carlos,

That sounds like you are using an older build?  Where did you get it?  I would suggest getting one of the following:



Also, you shouldn't need to build the –bin packages, they are already built.  If you are using SWF and JS, you will need to run the InstallAdobeSDKs.xml script:

  ant –f InstallAdobeSDKs.xml

HTH,
-Alex

From: Carlos Cruz <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, November 16, 2017 at 9:33 PM
To: "[hidden email]" <[hidden email]>
Subject: build fails

Hi

 

I’m trying to build apache-royale-0.9.0-bin  and I get this message:

BUILD FAILED

c:\apache-royale-0.9.0-bin\build.xml:547: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:117: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:277: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\build.xml:61: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\src\test\royale\build.xml:113: FLEX_HOME must be set to use the Flex Ant Tasks

 

is this an environment variable I should be setting, I looked in the Readme file I couldn’t see anything relating to Flex_home ?

 

thx!

Carlos  

Reply | Threaded
Open this post in threaded view
|

RE: build fails

Carlos Cruz

Hi Alex;

 

I got it from here: http://apacheflexbuild.cloudapp.net:8080/job/royale-asjs/lastSuccessfulBuild/artifact/out/ which was a link in one of the emails earlier this week (I think) I just clicked on the link, it’s the same link you’re sending me.

 

Because I wasn’t able to build Royale last week I started testing with FlexJS 0.8, should I still only run : ant –f InstallAdobeSDKs.xml ?

 

Thx

Carlos

 

From: Alex Harui [mailto:[hidden email]]
Sent: Friday, November 17, 2017 1:42 AM
To: [hidden email]
Subject: Re: build fails

 

Hi Carlos,

 

That sounds like you are using an older build?  Where did you get it?  I would suggest getting one of the following:

 

 

 

Also, you shouldn't need to build the –bin packages, they are already built.  If you are using SWF and JS, you will need to run the InstallAdobeSDKs.xml script:

 

  ant –f InstallAdobeSDKs.xml

 

HTH,

-Alex

 

From: Carlos Cruz <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, November 16, 2017 at 9:33 PM
To: "[hidden email]" <[hidden email]>
Subject: build fails

 

Hi

 

I’m trying to build apache-royale-0.9.0-bin  and I get this message:

BUILD FAILED

c:\apache-royale-0.9.0-bin\build.xml:547: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:117: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:277: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\build.xml:61: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\src\test\royale\build.xml:113: FLEX_HOME must be set to use the Flex Ant Tasks

 

is this an environment variable I should be setting, I looked in the Readme file I couldn’t see anything relating to Flex_home ?

 

thx!

Carlos  

Reply | Threaded
Open this post in threaded view
|

Re: build fails

Peter Ent
Hi,

I downloaded the archive given at the link in your email - it should be the same one you got. After I decompressed it, I went into the directory and ran:

% ant -f InstallAdobeSDKs.xml

I did not run anything else, just that ANT command. As the script requested, I downloaded an AIRSDK, the playerglobal SWC (turned out to be 27_0). The script completed without errors for me.

I did have JAVA_HOME set to a jdk1.7 installation.  I wrote instructions for integration with Flash Builder here: 
https://github.com/apache/royale-asjs/wiki/Flash-Builder-4.7

I hope this helps.
—peter

From: Carlos Cruz <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Friday, November 17, 2017 at 10:40 AM
To: "[hidden email]" <[hidden email]>
Subject: RE: build fails

Hi Alex;

 

I got it from here: http://apacheflexbuild.cloudapp.net:8080/job/royale-asjs/lastSuccessfulBuild/artifact/out/which was a link in one of the emails earlier this week (I think) I just clicked on the link, it’s the same link you’re sending me.

 

Because I wasn’t able to build Royale last week I started testing with FlexJS 0.8, should I still only run : ant –f InstallAdobeSDKs.xml ?

 

Thx

Carlos

 

From: Alex Harui [[hidden email]]
Sent: Friday, November 17, 2017 1:42 AM
To: [hidden email]
Subject: Re: build fails

 

Hi Carlos,

 

That sounds like you are using an older build?  Where did you get it?  I would suggest getting one of the following:

 

 

 

Also, you shouldn't need to build the –bin packages, they are already built.  If you are using SWF and JS, you will need to run the InstallAdobeSDKs.xml script:

 

  ant –f InstallAdobeSDKs.xml

 

HTH,

-Alex

 

From: Carlos Cruz <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, November 16, 2017 at 9:33 PM
To: "[hidden email]" <[hidden email]>
Subject: build fails

 

Hi

 

I’m trying to build apache-royale-0.9.0-bin  and I get this message:

BUILD FAILED

c:\apache-royale-0.9.0-bin\build.xml:547: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:117: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:277: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\build.xml:61: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\src\test\royale\build.xml:113: FLEX_HOME must be set to use the Flex Ant Tasks

 

is this an environment variable I should be setting, I looked in the Readme file I couldn’t see anything relating to Flex_home ?

 

thx!

Carlos  

Reply | Threaded
Open this post in threaded view
|

Re: build fails

Carlos Rovira-2
Hi Carlos,

I just migrated the steps to build with maven adapted to Apache Royale. For me is more easy to build with maven. You can give it a try if you want:


Let us know if that work for you

Best,

Carlos


2017-11-17 17:54 GMT+01:00 Peter Ent <[hidden email]>:
Hi,

I downloaded the archive given at the link in your email - it should be the same one you got. After I decompressed it, I went into the directory and ran:

% ant -f InstallAdobeSDKs.xml

I did not run anything else, just that ANT command. As the script requested, I downloaded an AIRSDK, the playerglobal SWC (turned out to be 27_0). The script completed without errors for me.

I did have JAVA_HOME set to a jdk1.7 installation.  I wrote instructions for integration with Flash Builder here: 

I hope this helps.
—peter

From: Carlos Cruz <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Friday, November 17, 2017 at 10:40 AM
To: "[hidden email]" <[hidden email]>
Subject: RE: build fails

Hi Alex;

 

I got it from here: http://apacheflexbuild.cloudapp.net:8080/job/royale-asjs/lastSuccessfulBuild/artifact/out/which was a link in one of the emails earlier this week (I think) I just clicked on the link, it’s the same link you’re sending me.

 

Because I wasn’t able to build Royale last week I started testing with FlexJS 0.8, should I still only run : ant –f InstallAdobeSDKs.xml ?

 

Thx

Carlos

 

From: Alex Harui [[hidden email]]
Sent: Friday, November 17, 2017 1:42 AM
To: [hidden email]
Subject: Re: build fails

 

Hi Carlos,

 

That sounds like you are using an older build?  Where did you get it?  I would suggest getting one of the following:

 

 

 

Also, you shouldn't need to build the –bin packages, they are already built.  If you are using SWF and JS, you will need to run the InstallAdobeSDKs.xml script:

 

  ant –f InstallAdobeSDKs.xml

 

HTH,

-Alex

 

From: Carlos Cruz <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, November 16, 2017 at 9:33 PM
To: "[hidden email]" <[hidden email]>
Subject: build fails

 

Hi

 

I’m trying to build apache-royale-0.9.0-bin  and I get this message:

BUILD FAILED

c:\apache-royale-0.9.0-bin\build.xml:547: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:117: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\build.xml:277: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\build.xml:61: The following error occurred while executing this line:

c:\apache-royale-0.9.0-bin\frameworks\projects\Basic\src\test\royale\build.xml:113: FLEX_HOME must be set to use the Flex Ant Tasks

 

is this an environment variable I should be setting, I looked in the Readme file I couldn’t see anything relating to Flex_home ?

 

thx!

Carlos  




--